package cn.com.qmth.examcloud.core.basic.api.provider;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.common.support.ControllerSupport;
import cn.com.qmth.examcloud.core.basic.api.UserCloudService;
import cn.com.qmth.examcloud.core.basic.api.bean.UserInfo;
import cn.com.qmth.examcloud.core.basic.api.request.GetUserInfoReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetUserInfoResp;
import cn.com.qmth.examcloud.service.core.service.UserService;
import io.swagger.annotations.ApiOperation;

/**
 * 用户服务 controller
 * 
 * @author WANGWEI
 *
 */
@RestController
@RequestMapping("${url.prefix}/user")
public class UserCloudServiceProvider extends ControllerSupport implements UserCloudService {

	@Autowired
	UserService userService;

	@ApiOperation(value = "获取用户信息", notes = "获取用户信息")
	@PostMapping("getUserInfo")
	@Override
	public GetUserInfoResp getUserInfo(@RequestBody GetUserInfoReq req) {

		GetUserInfoResp resp = new GetUserInfoResp();
		UserInfo userInfo = new UserInfo();
		userInfo.setLoginName("wangwei");
		resp.setUserInfo(userInfo);
		return resp;
	}

}
